package org.gcube.portlets.widgets.ckandatapublisherwidget.client.ui;

import com.github.gwtbootstrap.client.ui.TextBox;
import com.google.gwt.core.client.GWT;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.Widget;

public class CustomFieldEntry extends Composite {

	private static CustomFieldEntryUiBinder uiBinder = GWT
			.create(CustomFieldEntryUiBinder.class);

	interface CustomFieldEntryUiBinder extends
	UiBinder<Widget, CustomFieldEntry> {
	}
	
	@UiField TextBox keyField;
	@UiField TextBox valueField;
	
	public CustomFieldEntry() {
		initWidget(uiBinder.createAndBindUi(this));
	}

	/**
	 * Get current key value
	 * @return string
	 */
	public String getCurrentKey(){
		
		return keyField.getText();
		
	}
	
	/**
	 * Get current value value
	 * @return string
	 */
	public String getCurrentValue(){
		
		return valueField.getText();
		
	}
}
